DROP VIEW IF EXISTS planet_osm_roads_de;
CREATE VIEW planet_osm_roads_de AS
SELECT
osm_id,
admin_level as "admin_level",
covered as "covered",
highway as "highway",
name as "name",
tags->'name:de' as "name:de",
tags->'int_name' as "int_name",
tags->'name:en' as "name:en",
railway as "railway",
ref as "ref",
service as "service",
surface as "surface",
tunnel as "tunnel",
aerialway as "aerialway",
"addr:housenumber" as "addr:housenumber",
aeroway as "aeroway",
amenity as "amenity",
barrier as "barrier",
boundary as "boundary",
building as "building",
historic as "historic",
lock as "lock",
man_made as "man_made",
power as "power",
route as "route",
shop as "shop",
waterway as "waterway",
tags->'width' as "width",
way as way,
way_area as way_area,
z_order as z_order,
osml10n_get_placename(name, tags->'name:de', tags->'int_name', tags->'name:en',true,false,' - ',way) as localized_name_second,
osml10n_get_placename(name, tags->'name:de', tags->'int_name', tags->'name:en',false,false,' - ',way) as localized_name_first,
osml10n_get_name_without_brackets(name, tags->'name:de', tags->'int_name', tags->'name:en', way) as localized_name_without_brackets,
osml10n_get_streetname(name, tags->'name:de', tags->'int_name', tags->'name:en',true,false,' - ', way) as localized_streetname,
COALESCE(tags->'name:hsb',tags->'name:dsb',name) as name_hrb,
layer as layer,
tags as "tags"
FROM planet_osm_roads;

GRANT select ON planet_osm_roads_de TO public;
